## org.apache.xerces.impl.dv.xs
Class DecimalDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.DecimalDV

Direct Known Subclasses:
  IntegerDV

public class DecimalDV
extends TypeValidator

Represent the schema type "decimal"

Version:
  $Id: DecimalDV.java,v 1.8 2003/02/28 16:15:41 sandygao Exp $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`DecimalDV()`

Method Summary
`int` `compare(java.lang.Object value1, java.lang.Object value2)`
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`short` `getAllowedFacets()`
`int` `getFractionDigits(java.lang.Object value)`
`int` `getTotalDigits(java.lang.Object value)`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalDV

    public DecimalDV()

Method Detail

### getAllowedFacets

    public final short getAllowedFacets()

  Overrides:
    `getAllowedFacets` in class `TypeValidator`

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### compare

    public final int compare(java.lang.Object value1,
                             java.lang.Object value2)

  Overrides:
    `compare` in class `TypeValidator`

### getTotalDigits

    public final int getTotalDigits(java.lang.Object value)

  Overrides:
    `getTotalDigits` in class `TypeValidator`

### getFractionDigits

    public final int getFractionDigits(java.lang.Object value)

  Overrides:
    `getFractionDigits` in class `TypeValidator`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.